Loading...
Searching...
No Matches
mbedtls_cipher_info_t Struct Reference

`#include <cipher.h>`

## Data Fields

mbedtls_cipher_type_t | type
mbedtls_cipher_mode_t | mode
unsigned int | key_bitlen
const char * | name
unsigned int | iv_size
int | flags
unsigned int | block_size
const mbedtls_cipher_base_t * | base

## Detailed Description

Cipher information. Allows calling cipher functions in a generic way.

Definition at line 264 of file cipher.h.

## Field Documentation

## base

const mbedtls_cipher_base_t* mbedtls_cipher_info_t::base

Struct for base cipher information and functions.

Definition at line 298 of file cipher.h.

## block_size

unsigned int mbedtls_cipher_info_t::block_size

The block size, in Bytes.

Definition at line 295 of file cipher.h.

Referenced by mbedtls_cipher_get_block_size().

## flags

int mbedtls_cipher_info_t::flags

Bitflag comprised of MBEDTLS_CIPHER_VARIABLE_IV_LEN and MBEDTLS_CIPHER_VARIABLE_KEY_LEN indicating whether the cipher supports variable IV or variable key sizes, respectively.

Definition at line 292 of file cipher.h.

## iv_size

unsigned int mbedtls_cipher_info_t::iv_size

IV or nonce size, in Bytes. For ciphers that accept variable IV sizes, this is the recommended size.

Definition at line 286 of file cipher.h.

Referenced by mbedtls_cipher_get_iv_size().

## key_bitlen

unsigned int mbedtls_cipher_info_t::key_bitlen

The cipher key length, in bits. This is the default length for variable sized ciphers. Includes parity bits for ciphers like DES.

Definition at line 277 of file cipher.h.

Referenced by mbedtls_cipher_get_key_bitlen().

## mode

mbedtls_cipher_mode_t mbedtls_cipher_info_t::mode

The cipher mode. For example, MBEDTLS_MODE_CBC.

Definition at line 271 of file cipher.h.

Referenced by mbedtls_cipher_get_cipher_mode().

## name

const char* mbedtls_cipher_info_t::name

Name of the cipher.

Definition at line 280 of file cipher.h.

Referenced by mbedtls_cipher_get_name().

## type

mbedtls_cipher_type_t mbedtls_cipher_info_t::type

Full cipher identifier. For example, MBEDTLS_CIPHER_AES_256_CBC.

Definition at line 268 of file cipher.h.

Referenced by mbedtls_cipher_get_type().

The documentation for this struct was generated from the following file:

- cipher.h